/* text colors */
.color_switch { float: left; width: 12%; margin:0.25%; position:relative; min-height:40px; text-align:center; }
.bccheck { font-size:20px; color:#fff; margin-top:9px; }
.open_player { color:#fff !important; }
.my_notice { padding:3px; background-clip:unset; }
.bdisabled { opacity:0.5; }

/* audio colors */
.audio_color { background:#444; color:#fff; }
.song_title { background:#666; color:#fff; }
.audio_progress { background:#fff; }
.audio_ball { background:#666; }

/* misc colors */
.saved_ok { background-color:rgba(0,102,0,0.8); color:#fff; }
.saved_error { background-color:rgba(255,0,0,0.8); color:#fff; }
.background_stream { background-color:rgba(0,0,0,0.9);}
.lite_olay { background-color:rgba(100,100,100,0.4); color:#fff; }
.olay { background-color:rgba(0,0,0,0.5); color:#fff; }
.dark_olay { background-color:rgba(0,0,0,0.6); color:#fff; }
.cover_text { text-shadow:0 0 2px rgba(0, 0, 0, .8); }
.avatar_spin { border:2px solid #fff; }
.sub_list_active { border:2px solid #fff; }
.avavatar { border:2px solid #fff; }

/* special log default colors */
.topic_log { background:#d9f2e6; color:#0d261a; }
.seen { background:#ffe6f2; color:#330019; }

/* basic name colors */
.bcolor1 { color:#ff3333; }
.bcolor2 { color:#ff6633; }
.bcolor3 { color:#ff9933; }
.bcolor4 { color:#ffcc33; }
.bcolor5 { color:#cccc00; }
.bcolor6 { color:#99cc00; }
.bcolor7 { color:#59b300; }
.bcolor8 { color:#829356; }
.bcolor9 { color:#008000; }
.bcolor10 { color:#00e639; }
.bcolor11 { color:#00e673; }
.bcolor12 { color:#00e6ac; }
.bcolor13 { color:#00cccc; }
.bcolor14 { color:#03add8; }
.bcolor15 { color:#3366ff; }
.bcolor16 { color:#107896; }
.bcolor17 { color:#004d99; }
.bcolor18 { color:#6633ff; }
.bcolor19 { color:#9933ff; }
.bcolor20 { color:#cc33ff; }
.bcolor21 { color:#ff33ff; }
.bcolor22 { color:#ff33cc; }
.bcolor23 { color:#ff3399; }
.bcolor24 { color:#ff3366; }
.bcolor25 { color:#604439; }
.bcolor26 { color:#795548; }
.bcolor27 { color:#a97f70; }
.bcolor28 { color:#bc9b8f; }
.bcolor29 { color:#9E9E9E; }
.bcolor30 { color:#879fab; }
.bcolor31 { color:#ffffff; text-shadow:1px 1px 1px #7d7d7d, 1px 1px 3px #000000, 1px 1px 5px #140606; }
.bcolor32 { color:#1f1f1f; text-shadow:1px 1px 1px #7d7d7d, 1px 1px 3px #cccccc, 1px 1px 5px #140606; }
.bcolor33 { color:#00BFFF; } 


/* basic name colors background */
.bcback1 { background:#ff3333; }
.bcback2 { background:#ff6633; }
.bcback3 { background:#ff9933; }
.bcback4 { background:#ffcc33; }
.bcback5 { background:#cccc00; }
.bcback6 { background:#99cc00; }
.bcback7 { background:#59b300; }
.bcback8 { background:#829356; }
.bcback9 { background:#008000; }
.bcback10 { background:#00e639; }
.bcback11 { background:#00e673; }
.bcback12 { background:#00e6ac; }
.bcback13 { background:#00cccc; }
.bcback14 { background:#03add8; }
.bcback15 { background:#3366ff; }
.bcback16 { background:#107896; }
.bcback17 { background:#004d99; }
.bcback18 { background:#6633ff; }
.bcback19 { background:#9933ff; }
.bcback20 { background:#cc33ff; }
.bcback21 { background:#ff33ff; }
.bcback22 { background:#ff33cc; }
.bcback23 { background:#ff3399; }
.bcback24 { background:#ff3366; }
.bcback25 { background:#604439; }
.bcback26 { background:#795548; }
.bcback27 { background:#a97f70; }
.bcback28 { background:#bc9b8f; }
.bcback29 { background:#9E9E9E; }
.bcback30 { background:#879fab; }
.bcback31 { background:#698796; }
.bcback32 { background:#495f69; }


/* gradient colors */
.backgrad1,.bgrad1 { background: linear-gradient(to right,#40e0d0,#ff8c00, #ff0080);}
.backgrad2,.bgrad2 { background: linear-gradient(to right,#11998e,#38ef7d);}
.backgrad3,.bgrad3 { background: linear-gradient(to right,#fc466b,#3f5efb);}
.backgrad4,.bgrad4 { background: linear-gradient(to right,#00f260,#0575e6); }
.backgrad5,.bgrad5 { background: linear-gradient(to right,#fc4a1a,#f7b733); }
.backgrad6,.bgrad6 { background: linear-gradient(to right,#22c1c3,#fdbb2d);}
.backgrad7,.bgrad7 { background: linear-gradient(to right,#7f00ff,#e100ff);}
.backgrad8,.bgrad8 { background: linear-gradient(to right,#ee0979,#ff6a00); }
.backgrad9,.bgrad9 { background: linear-gradient(to right,#00c3ff,#ffff1c); }
.backgrad10,.bgrad10 { background: linear-gradient(to right,#fc00ff,#00dbde); }
.backgrad11,.bgrad11 { background: linear-gradient(to right,#833ab4,#fd1d1d, #fcb045);}
.backgrad12,.bgrad12 { background: linear-gradient(to right,#bdc3c7,#2c3e50);}
.backgrad13,.bgrad13 { background: linear-gradient(to right,#373B44,#4286f4);}
.backgrad14,.bgrad14 { background: linear-gradient(to right,#FF0099,#493240);}
.backgrad15,.bgrad15 { background: linear-gradient(to right,#f953c6,#b91d73);}
.backgrad16,.bgrad16 { background: linear-gradient(to right,#dd3e54,#6be585);}
.backgrad17,.bgrad17 { background: linear-gradient(to right,#8360c3,#2ebf91);}
.backgrad18,.bgrad18 { background: linear-gradient(to right,#544a7d,#ffd452);}
.backgrad19,.bgrad19 { background: linear-gradient(to right,#009FFF,#ec2F4B);}
.backgrad20,.bgrad20 { background: linear-gradient(to right,#59C173,#a17fe0,#5D26C1);}
.backgrad21,.bgrad21 { background: linear-gradient(to right,#a8c0ff,#3f2b96);}
.backgrad22,.bgrad22 { background: linear-gradient(45deg, #FF0000 0%, #FFA600 50%, #ff0000 100%);}
.backgrad23,.bgrad23 { background: linear-gradient(to right,#108dc7,#ef8e38);}
.backgrad24,.bgrad24 { background: linear-gradient(to right,#FF0099,#0575E6); }
.backgrad25,.bgrad25 { background: linear-gradient(to right,#667db6,#0082c8,#ec38bc,#fdeff9); }
.backgrad26,.bgrad26 { background: linear-gradient(to right,#03001e,#7303c0,#ec38bc,#fdeff9); }
.backgrad27,.bgrad27 { background: linear-gradient(to right,#1a2a6c,#b21f1f,#fdbb2d);}
.backgrad28,.bgrad28 { background: linear-gradient(to right,#3A1C71,#D76D77,#FFAF7B); }
.backgrad29,.bgrad29 { background: linear-gradient(to right,#EB5757,#333); }
.backgrad30,.bgrad30 { background: linear-gradient(to right,#20002c,#cbb4d4); }
.backgrad31,.bgrad31 { background: linear-gradient(to right,#34e89e,#0f3443); }
.backgrad32,.bgrad32 { background: linear-gradient(to right,#bdc3c7,#2c3e50); }
.backgrad33,.bgrad33 { background: linear-gradient(to right,#a80077,#66ff00); }
.backgrad34,.bgrad34 { background: linear-gradient(to bottom, #6db3f2 0%,#54a3ee 50%,#3690f0 51%,#1e69de 100%);}
.backgrad35,.bgrad35 { background: linear-gradient(to top, #a241b7, #7f68d7, #5186e9, #1b9eef, #12b2eb);}
.backgrad36,.bgrad36 { background: linear-gradient(to bottom, #845EC2 0%, #D65DB1 0%, #FF6F91 51%, #FF9671 100%);}
.backgrad37,.bgrad37 { background: linear-gradient(to right, #FF0000, #FFF200, #1E9600); color: transparent; }
.backgrad38,.bgrad38 { background: linear-gradient(330deg, #e05252 0%, #99e052 25%, #52e0e0 50%, #9952e0 75%, #e05252 100%); }
.backgrad39,.bgrad39 { background: linear-gradient(to bottom, #051937, #004d7a, #008793, #00bf72, #a8eb12);}
.backgrad40,.bgrad40 { background: linear-gradient(45deg, #222 0%, #FFA600 50%, #222 100%);}

/* special color */
.bgrad1, .bgrad2, .bgrad3, .bgrad4, .bgrad5, .bgrad6, .bgrad7, .bgrad8, .bgrad9, .bgrad10,
.bgrad11, .bgrad12, .bgrad13, .bgrad14, .bgrad15, .bgrad16, .bgrad17, .bgrad18, .bgrad19,
.bgrad20, .bgrad21, .bgrad22, .bgrad23, .bgrad24, .bgrad25, .bgrad26, .bgrad27, .bgrad28,
.bgrad29, .bgrad30, .bgrad31, .bgrad32, .bgrad33, .bgrad34, .bgrad35, .bgrad36, .bgrad37,
.bgrad38, .bgrad39, .bgrad40 {  color:transparent; -webkit-background-clip:text; background-clip:text; }

/* basic name colors */
.bneon1 { color:#fff; text-shadow:1px 1px 1px #e60000, 1px 1px 3px #ff3333, 1px 1px 5px #ff3333; }
.bneon2 { color:#fff; text-shadow:1px 1px 1px #e63900, 1px 1px 3px #ff6633, 1px 1px 5px #ff6633; }
.bneon3 { color:#008011; text-shadow:1px 1px 1px #dfa4a4, 1px 1px 2px #1eff00, 1px 1px 3px #9cdf96; }
.bneon4 { color:#B5EF62; text-shadow:1px 1px 1px #2D3F47, 1px 1px 3px #000000, 1px 1px 5px #81DB01; }
.bneon5 { color:#1f1f1f; text-shadow:1px 1px 1px #e33b3b, 1px 1px 3px #d98181, 1px 1px 5px #856f6f; }
.bneon6 { color:#00c8ff; text-shadow:1px 1px 1px #4000ff, 1px 1px 2px #ff00bb, 1px 1px 3px #ebebeb; }
.bneon7 { background-image: url(m9.gif);-webkit-background-clip: text;color: transparent;background-size: 100% 100%;}
.bneon8 { background-image: url(c.gif);-webkit-background-clip: text;color: transparent;background-size: 100% 100%;}
.bneon888 { color:#fff; text-shadow:1px 1px 1px #637042, 1px 1px 3px #829356, 1px 1px 5px #829356; }
.bneon9 { color:#fff; text-shadow:1px 1px 1px #004d00, 1px 1px 3px #008000, 1px 1px 5px #008000; }
.bneon10 { color:#fff; text-shadow:1px 1px 1px #009926, 1px 1px 3px #00e639, 1px 1px 5px #00e639; }
.bneon11 { color:#fff; text-shadow:1px 1px 1px #00994d, 1px 1px 3px #00e673, 1px 1px 5px #00e673; }
.bneon12 { color:#fff; text-shadow:1px 1px 1px #361999, 1px 1px 2px #78FFF1, 1px 1px 3px #FF6495; }
.bneon13 { color:#fff; text-shadow:1px 1px 1px #008080, 1px 1px 3px #00cccc, 1px 1px 5px #00cccc; }
.bneon14 { color:#fff; text-shadow:1px 1px 1px #027997, 1px 1px 3px #03add8, 1px 1px 5px #03add8; }
.bneon15 { color:#4c00ff; text-shadow:1px 1px 1px #00b3ff, 1px 1px 3px #cccc00, 1px 1px 5px #4c00ff; }
.bneon16 { color:#fff; text-shadow:1px 1px 1px #0c5d73, 1px 1px 3px #107896, 1px 1px 5px #107896; }
.bneon17 { color:#fff; text-shadow:1px 1px 1px #003366, 1px 1px 3px #004d99, 1px 1px 5px #004d99; }
.bneon18 { color:#fff; text-shadow:1px 1px 1px #2d00b3, 1px 1px 3px #6633ff, 1px 1px 5px #6633ff; }
.bneon19 { color:#fff; text-shadow:1px 1px 1px #7300e6, 1px 1px 3px #9933ff, 1px 1px 5px #9933ff; }
.bneon20 { color:#fff; text-shadow:1px 1px 1px #ac00e6, 1px 1px 3px #cc33ff, 1px 1px 5px #cc33ff; }
.bneon21 { color:#fff; text-shadow:1px 1px 1px #cc00cc, 1px 1px 3px #ff33ff, 1px 1px 5px #ff33ff; }
.bneon22 { color:#fff; text-shadow:1px 1px 1px #e600ac, 1px 1px 3px #ff33cc, 1px 1px 5px #ff33cc; }
.bneon23 { color:#fff; text-shadow:1px 1px 1px #cc0066, 1px 1px 3px #ff3399, 1px 1px 5px #ff3399; }
.bneon24 { color:#fff; text-shadow:1px 1px 1px #e60039, 1px 1px 3px #ff3366, 1px 1px 5px #ff3366; }
.bneon25 { color:#fff; text-shadow:1px 1px 1px #503930, 1px 1px 3px #604439, 1px 1px 5px #604439; }
.bneon26 { color:#fff; text-shadow:1px 1px 1px #0040ff, 1px 1px 3px #3366ff, 1px 1px 5px #3366ff; }
.bneon27 { color:#ff006a; text-shadow:1px 1px 1px #2b2b2b, 1px 1px 3px #a6a6a6, 1px 1px 5px #b0b0b0; }
.bneon28 { color:#ff8400; text-shadow:1px 1px 1px #8a0000, 1px 1px 3px #c51b1b, 1px 1px 5px #b0b0b0; }
.bneon29 { color:#fff700; text-shadow:1px 1px 1px #fa0f0f, 1px 1px 3px #b20a0a, 1px 1px 5px #ed3b3b; }
.bneon299999 { background-image: url(7.gif);-webkit-background-clip: text;color: transparent;background-size: 100% 100%;}
.bneon30 { color:#ff00ee; text-shadow:1px 1px 1px #d10000, 1px 1px 3px #000000, 1px 1px 5px #ffffff; }
.bneon31 { background-image: url(5.gif);-webkit-background-clip: text;color: transparent;background-size: 100% 100%;}
.bneon32 { background-image: url(6.gif);-webkit-background-clip: text;color: transparent;background-size: 100% 100%;}
.bneon33 { color:#ffffff; text-shadow:1px 1px 1px #7d7d7d, 1px 1px 3px #000000, 1px 1px 5px #140606; }
.bneon34 { color:#1f1f1f; text-shadow:1px 1px 1px #7d7d7d, 1px 1px 3px #cccccc, 1px 1px 5px #140606; }
.bneon35 { color:#d9ff00; text-shadow:1px 1px 1px #856f00, 1px 1px 2px #800505, 1px 1px 3px #dfd2a5; }
.bneon36 { color:#3bdbed; text-shadow:1px 1px 1px #0e8682, 1px 1px 3px #005152, 1px 1px 5px #e4ecec; }
.bneon37 { color:#d440e7; text-shadow:1px 1px 1px #89018e, 1px 1px 3px #757575, 1px 1px 5px #df9bd3; }
.bneon38 { color:#e080dd; text-shadow:1px 1px 1px #91039b, 1px 1px 3px #891077, 1px 1px 5px #df9fdb; }
.bneon39 { color:#11ff00; text-shadow:1px 1px 1px #0a4101, 1px 1px 3px #207000, 1px 1px 5px #d4d1e6; }
.bneon40 { color:#171717; text-shadow:1px 1px 1px #23ad00, 1px 1px 2px #017418, 1px 1px 3px #ebebeb; }

.bneon41 { color:#ffffff; text-shadow:1px 1px 1px #000000, 1px 1px 2px #ff0000, 1px 1px 3px #ad0000; }
.bneon42 { color:#ffffff; text-shadow:1px 1px 1px #f22626, 1px 1px 3px #000000, 1px 1px 5px #ad0000; }
.bneon43 { background-image: url(m11.gif);-webkit-background-clip: text;color: transparent;background-size: 100% 100%;}
.bneon44 { background-image: url(red.gif);-webkit-background-clip: text;color: transparent;background-size: 100% 100%;}
.bneon45 { background-image: url(c5.gif);-webkit-background-clip: text;color: transparent;background-size: 100% 100%;}
.bneon46 { background-image: url(c3.gif);-webkit-background-clip: text;color: transparent;background-size: 100% 100%;}
.bneon47 { background-image: url(w.gif);-webkit-background-clip: text;color: transparent;background-size: 100% 100%;}
.bneon48 { background-image: url(f.gif);-webkit-background-clip: text;color: transparent;background-size: 100% 100%;}
.bneon49 { background-image: url(ff.gif);-webkit-background-clip: text;color: transparent;background-size: 100% 100%;}
.bneon50 { background-image: url(m1.gif);-webkit-background-clip: text;color: transparent;background-size: 100% 100%;}
.bneon51 { background-image: url(m2.gif);-webkit-background-clip: text;color: transparent;background-size: 100% 100%;}
.bneon52 { background-image: url(m3.gif);-webkit-background-clip: text;color: transparent;background-size: 100% 100%;}
.bneon53 { background-image: url(m4.gif);-webkit-background-clip: text;color: transparent;background-size: 100% 100%;}
.bneon54 { background-image: url(m5.gif);-webkit-background-clip: text;color: transparent;background-size: 100% 100%;}
.bneon55 { background-image: url(m6.gif);-webkit-background-clip: text;color: transparent;background-size: 100% 100%;}
.bneon56 { background-image: url(m7.gif);-webkit-background-clip: text;color: transparent;background-size: 100% 100%;}
.bneon57 { background-image: url(m8.gif);-webkit-background-clip: text;color: transparent;background-size: 100% 100%;}
.bneon58 { background-image: url(m9.gif);-webkit-background-clip: text;color: transparent;background-size: 100% 100%;}
.bneon59 { background-image: url(m12.gif);-webkit-background-clip: text;color: transparent;background-size: 100% 100%;}
.bneon60 { background-image: url(m10.gif);-webkit-background-clip: text;color: transparent;background-size: 100% 100%;}
.bneon2999 { color:#fff700; text-shadow:1px 1px 1px #fa0f0f, 1px 1px 3px #b20a0a, 1px 1px 5px #ed3b3b; }
.bneon311 { color:#FF0000; text-shadow:1px 1px 1px #808000, 1px 1px 3px #cccc00, 1px 1px 5px #cccc00; }
.bneon322 { color:#B5EF62; text-shadow:1px 1px 1px #2D3F47, 1px 1px 3px #000000, 1px 1px 5px #81DB01; }
.bneon277 { color:#eb4242; text-shadow:1px 1px 1px #000000, 1px 1px 3px #bd2828, 1px 1px 5px #b0b0b0; }
/* basic name colors background */
.bnback1 { background:#ff3333; }
.bnback2 { background:#ff6633; }
.bnback3 { background:#008011; }
.bnback4 { background:#B5EF62; }
.bnback5 { background:#1f1f1f; }
.bnback6 { background:#00c8ff; }
.bnback7 { background:#59b300; }
.bnback8 { background:#829356; }
.bnback9 { background:#008000; }
.bnback10 { background:#00e639; }
.bnback11 { background:#00e673; }
.bnback12 { background:#ffffff; }
.bnback13 { background:#00cccc; }
.bnback14 { background:#03add8; }
.bnback15 { background:#4c00ff; }
.bnback16 { background:#107896; }
.bnback17 { background:#004d99; }
.bnback18 { background:#6633ff; }
.bnback19 { background:#9933ff; }
.bnback20 { background:#cc33ff; }
.bnback21 { background:#ff33ff; }
.bnback22 { background:#ff33cc; }
.bnback23 { background:#ff3399; }
.bnback24 { background:#ff3366; }
.bnback25 { background:#604439; }
.bnback26 { background:#4144ec; }
.bnback27 { background:#b30003; }
.bnback28 { background:#f27826; }
.bnback29 { background:#f2e826; }
.bnback30 { background:#f22cd1; }
.bnback31 { background:#ff0004; }
.bnback32 { background:#0e3f17; }
.bnback33 { background:#ffffff; }
.bnback34 { background:#1f1f1f; }
.bnback35 { background:#d9ff00; }
.bnback36 { background:#3bdbed; }
.bnback37 { background:#d440e7; }
.bnback38 { background:#e080dd; }
.bnback39 { background:#11ff00; }
.bnback40 { background:#171717; }
.bnback41 { background:#ffffff; }
.bnback42 { background:#0e3f17; }
.bnback43 { background:#ffffff; }
.bnback44 { background:#1f1f1f; }
.bnback45 { background:#d9ff00; }
.bnback46 { background:#3bdbed; }
.bnback47 { background:#d440e7; }
.bnback48 { background:#e080dd; }